Aden

Financials

Team financials — entries, summaries, show/deal pipeline, CSV/JSON export, and bulk import

GET
/api/v1/financials/

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Query Parameters

teamId*string
from?string
to?string
type?string
curl -X GET "https://example.com/api/v1/financials/?teamId=string"
POST
/api/v1/financials/

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/financials/" \  -H "Content-Type: application/json" \  -d '{    "teamId": 0,    "isIncome": true,    "amount": 0  }'
GET
/api/v1/financials/summary

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Query Parameters

teamId*string
from?string
to?string
curl -X GET "https://example.com/api/v1/financials/summary?teamId=string"
GET
/api/v1/financials/pipeline

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Query Parameters

teamId*string
status?string
curl -X GET "https://example.com/api/v1/financials/pipeline?teamId=string"
GET
/api/v1/financials/export

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Query Parameters

teamId*string
format?string
from?string
to?string
curl -X GET "https://example.com/api/v1/financials/export?teamId=string"
POST
/api/v1/financials/import

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/financials/import" \  -H "Content-Type: application/json" \  -d '{    "teamId": 0,    "entries": [      {        "isIncome": true,        "amount": 0      }    ]  }'
Was this helpful?